Loading...
Searching...
No Matches
OgreTexture.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreHardwareBuffer.h"`
`#include "OgreResource.h"`
`#include "OgreImage.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::Texture
| Abstract class representing a Texture resource. More...

## Namespaces

namespace | Ogre

## Enumerations

enum | Ogre::TextureAccess { Ogre::TA_READ = 0x01 , Ogre::TA_WRITE = 0x10 , Ogre::TA_READ_WRITE = TA_READ | TA_WRITE }
| Enum identifying the texture access privilege. More...
enum | Ogre::TextureMipmap { Ogre::MIP_UNLIMITED = 0x7FFFFFFF , Ogre::MIP_DEFAULT = -1 }
| Enum identifying special mipmap numbers. More...
enum | Ogre::TextureType : uint8 { Ogre::TEX_TYPE_1D = 1 , Ogre::TEX_TYPE_2D = 2 , Ogre::TEX_TYPE_3D = 3 , Ogre::TEX_TYPE_CUBE_MAP = 4 , Ogre::TEX_TYPE_2D_ARRAY = 5 , Ogre::TEX_TYPE_2D_MULTISAMPLE = 6 , Ogre::TEX_TYPE_EXTERNAL_OES = 7 }
| Enum identifying the texture type. More...

enum

Ogre::TextureUsage {
Ogre::TU_STATIC = HBU_GPU_TO_CPU , Ogre::TU_DYNAMIC = HBU_CPU_ONLY , Ogre::TU_WRITE_ONLY = HBU_DETAIL_WRITE_ONLY , Ogre::TU_STATIC_WRITE_ONLY = HBU_GPU_ONLY ,
Ogre::TU_DYNAMIC_WRITE_ONLY = HBU_CPU_TO_GPU , Ogre::TU_DYNAMIC_WRITE_ONLY_DISCARDABLE = HBU_CPU_TO_GPU , Ogre::TU_AUTOMIPMAP = 0x10 , Ogre::TU_RENDERTARGET = 0x20 ,
Ogre::TU_NOT_SAMPLED = 0x40 , Ogre::TU_UNORDERED_ACCESS = 0x80 , Ogre::TU_TARGET_ALL_LAYERS = 0x100 , Ogre::TU_DEFAULT = TU_AUTOMIPMAP | HBU_GPU_ONLY ,
Ogre::TU_UAV_NOT_SRV = TU_UNORDERED_ACCESS | TU_NOT_SAMPLED , Ogre::TU_NOT_SRV = TU_NOT_SAMPLED , Ogre::TU_NOTSHADERRESOURCE = TU_NOT_SAMPLED , Ogre::TU_UAV = TU_UNORDERED_ACCESS
}

| Enum identifying the texture usage. More...